Subject: Re: Section 16.2 of RFC2328 and ABR's behaviour

From: Srinivas Goli <[email-masked]>
Date: Wed, 15 Feb 2006 11:15:21 -0500

> -----Original Message-----
> From: Mailing List [mailto:[email-masked]] On 
> Behalf Of Acee Lindem
> Sent: Tuesday, February 14, 2006 5:18 PM
> To: [email-masked]
> Subject: Re: Section 16.2 of RFC2328 and ABR's behaviour
> 
> Srinivas Goli wrote:
> 
> >Folks,
> >
> >Section 16.2 states the following
> >
> >    16.2.  Calculating the inter-area routes
> >
> >        The inter-area routes are calculated by examining 
> summary-LSAs.
> >        If the router has active attachments to multiple areas, only
> >        backbone summary-LSAs are examined.  Routers attached to a
> >        single area examine that area's summary-LSAs.  In 
> either case,
> >        the summary-LSAs examined below are all part of a 
> single area's
> >        link state database (call it Area A).
> >
> >>From this it is clear that the an ABR will only examine the summary 
> >>LSAs
> >from the backbone area. This is done to avoid the counting 
> to infinity 
> >problem since exchanging routes between areas is done using Distance 
> >Vector mechanisms.
> >
> >Now some of vendors seems to skip this check i.e examining 
> summary LSAs 
> >from all attached areas. Can any one explain why this would be 
> >considered useful, assuming this is done intentionally.
> >  
> >
> Hi Srinivas,
> See RFC 3509.
> Thanks,
> Acee
> 
Hi Acee,

I had looked at RFC3509 as possible explanation of what I saw but the
particular case I am looking at is a router with two actively attached
areas both of which are non backbone areas. The router would identify
itself as ABR by setting B bit in the router-lsa. The router also
re-advertises the summary LSAs in one area into the other areas. 

Thanks, 

> >Regards,

---

From: Acee Lindem <[email-masked]>
Date: Wed, 15 Feb 2006 12:08:44 -0500

Hi Srinivas,

Note that RFC 2328 considers any router "attached" to multiple areas an 
ABR. While I
can't find a precise definition in the RFC, "attached" is generally 
considered to mean
one or more UP interfaces.

Area border routers
            A router that attaches to multiple areas.  Area border
            routers run multiple copies of the basic algorithm, one copy
            for each attached area. Area border routers condense the
            topological information of their attached areas for
            distribution to the backbone.  The backbone in turn
            distributes the information to the other areas.

So, the router is not misbehaving. What is wrong is 
that the backbone is not contiguous (if the router doesn't have any
backbone interfaces). 

This ABR definition has been debated over the years and was the
primary motivation for the RFC 3509 functionality.  

Thanks,
Acee